Bug 1376867 - Review Request: python3-pycurl - Python interface to libcurl for Python 3
Summary: Review Request: python3-pycurl - Python interface to libcurl for Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1376864
Blocks: 1309909
TreeView+ depends on / blocked
 
Reported: 2016-09-16 16:40 UTC by Orion Poplawski
Modified: 2016-12-05 20:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 19:19:25 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2016-09-16 16:40:44 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-pycurl.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-pycurl-7.43.0-3.el7.src.rpm
Description:
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

Fedora Account System Username: orion

Comment 1 Tim Orling 2016-10-13 22:59:35 UTC
I am also willing to consider adding to EPEL6.

Comment 2 Orion Poplawski 2016-11-08 18:54:13 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-pycurl.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-pycurl-7.43.0-4.el7.src.rpm

* Tue Nov 8 2016 Orion Poplawski <orion@cora.nwra.com> - 7.43.0-4
- Add patch to build with python3 pyflakes

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-11-12 22:22:33 UTC
SRPM gives 404 ;(

Comment 4 Raphael Groner 2016-11-13 15:17:25 UTC
> %changelog
> * Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 7.43.0-3
> - EPEL7 version

Shouldn't this request be with Product Fedora EPEL? There's already python-pycurl in Fedora (with python2 and python3 subpackages).

(In reply to Tim Orling from comment #1)
> I am also willing to consider adding to EPEL6.

https://fedoraproject.org/wiki/EPEL:Packaging?rd=Packaging:EPEL#EPEL_6_and_earlier

(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> SRPM gives 404 ;(

Same here.

Comment 5 Orion Poplawski 2016-11-14 15:53:53 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> SRPM gives 404 ;(

Fixed.

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-11-14 17:39:25 UTC
> Shouldn't this request be with Product Fedora EPEL? 
Please correct me if I'm wrong, but from what I've seen, there's only a single "Package review" component that is used both for Fedora proper and EPEL. 

> There's already python-pycurl in Fedora (with python2 and python3 subpackages).
Centos/redhat has python-pycurl. This review is to add python3-pycurl package which provides the python 3 version.

Review:
+ package name is OK
+ no conflict with existing packages
+ builds and installs OK
+ provides/requires look correct
  (/bin/sh is pulled in because of tests, this seems OK)
+ license is OK
+ version is the same as in stable Fedora, so OK for EPEL
+ tests pass

rpmlint:
python34-pycurl.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-pycurl-7.43.0/tests/setopt_string_test.py /usr/bin/env python
...
Those are test files, doesn't matter.

Package is APPROVED.

Comment 7 Gwyn Ciesla 2016-11-14 17:57:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-pycurl

Comment 8 Fedora Update System 2016-11-16 22:04:12 UTC
python3-pycurl-7.43.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e930eac29e

Comment 9 Fedora Update System 2016-11-16 22:04:20 UTC
python3-pycurl-7.43.0-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-409af75f59

Comment 10 Fedora Update System 2016-11-19 07:47:58 UTC
python3-pycurl-7.43.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-409af75f59

Comment 11 Fedora Update System 2016-11-19 07:51:11 UTC
python3-pycurl-7.43.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e930eac29e

Comment 12 Fedora Update System 2016-12-05 19:19:25 UTC
python3-pycurl-7.43.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-05 20:19:01 UTC
python3-pycurl-7.43.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.